using DysonNetwork.Common.Models;
using DysonNetwork.Pass.Features.Auth.Models;

namespace DysonNetwork.Pass.Features.Auth.Interfaces;

public interface IOidcService
{
    string GetAuthorizationUrl(string state, string nonce);
    Task<OidcUserInfo> ProcessCallbackAsync(OidcCallbackData callbackData);
    Task<AuthResult> AuthenticateAsync(string provider, string code, string state);
    IEnumerable<string> GetSupportedProviders();
}
