using DysonNetwork.Common.Models;

namespace DysonNetwork.Pass.Features.Auth.Models;

public class AuthResult
{
    public bool Success { get; set; }
    public string? AccessToken { get; set; }
    public string? RefreshToken { get; set; }
    public AuthSession? Session { get; set; }
    public string? Error { get; set; }
    public IEnumerable<string>? RequiredFactors { get; set; }
}
