using System;
using Microsoft.AspNetCore.Authorization;

namespace DysonNetwork.Drive.Attributes;

[AttributeUsage(AttributeTargets.Class | AttributeTargets.Method, AllowMultiple = true, Inherited = true)]
public class RequiredPermissionAttribute : AuthorizeAttribute
{
    public RequiredPermissionAttribute(string permission) : base(permission)
    {
        Policy = permission;
    }
}
