namespace DysonNetwork.Pass.Features.Account.Interfaces;

public interface IAccountUsernameService
{
    Task<string> GenerateUniqueUsernameAsync(string baseName);
    string SanitizeUsername(string username);
    Task<bool> IsUsernameExistsAsync(string username);
    Task<string> GenerateUsernameFromEmailAsync(string email);
}
